Skip to main content
POST
/
enterprises
/
{enterprise_id}
/
reputation
/
numbers
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.enterprises.reputation.numbers.associate(
  '4a6192a4-573d-446d-b3ce-aff9117272a6',
  { phone_numbers: ['+19493253498', '+12134445566'] },
);

console.log(response.data);
{
  "data": [
    {
      "id": "8a4b1f5e-2f12-4c0c-9a98-9b3a7d8b8e62",
      "enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
      "phone_number": "+19493253498",
      "reputation_data": {
        "spam_risk": "low",
        "spam_category": null,
        "maturity_score": 72,
        "connection_score": 80,
        "engagement_score": 64,
        "sentiment_score": 75,
        "last_refreshed_at": "2026-04-26T18:09:24.785211Z"
      },
      "created_at": "2026-04-26T18:06:51.940749Z",
      "updated_at": "2026-04-26T18:09:24.785211Z"
    }
  ],
  "meta": {
    "total_pages": 3,
    "total_results": 42,
    "page_number": 1,
    "page_size": 20
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enterprise_id
string<uuid>
required

The enterprise id. Lowercase UUID.

Example:

"4a6192a4-573d-446d-b3ce-aff9117272a6"

Body

application/json
phone_numbers
string[]
required

1–100 phone numbers in E.164 format with a leading +.

Required array length: 1 - 100 elements

Response

Numbers registered.

data
object[]
required
meta
object
required

JSON:API pagination metadata returned with every paginated list response. Page numbering is 1-based. page_size reports the number of items actually returned in data for this page; the requested size is taken from the page[size] query parameter.